summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Diogo Leal2011-08-22 13:50:21 +0200
committer Niels Horn2011-08-22 13:56:08 +0200
commit6b3dd7e2812a14275ad9c17c416f254b336df4ee (patch)
treeff73361fd2067a93867c06d1e630987b3c0000a9
parent444996d10d6be685428e1cc744d87c9d0868d990 (diff)
downloadslackbuilds-6b3dd7e2812a14275ad9c17c416f254b336df4ee.tar.gz
libraries/ETL: Added (Extended Template Library)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--libraries/ETL/ETL.SlackBuild77
-rw-r--r--libraries/ETL/ETL.info10
-rw-r--r--libraries/ETL/README5
-rw-r--r--libraries/ETL/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/libraries/ETL/ETL.SlackBuild b/libraries/ETL/ETL.SlackBuild
new file mode 100644
index 0000000000..a6d6676d20
--- /dev/null
+++ b/libraries/ETL/ETL.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for ETL
+# Written by Diogo Leal (diogo@diogoleal.com)
+
+PRGNAM=ETL
+VERSION=${VERSION:-0.04.13}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/ETL/ETL.info b/libraries/ETL/ETL.info
new file mode 100644
index 0000000000..508a6efebe
--- /dev/null
+++ b/libraries/ETL/ETL.info
@@ -0,0 +1,10 @@
+PRGNAM="ETL"
+VERSION="0.04.13"
+HOMEPAGE="http://synfig.org/"
+DOWNLOAD="http://downloads.sourceforge.net/synfig/ETL-0.04.13.tar.gz"
+MD5SUM="d52253adeb219d2fa554cbd744dfff29"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Diogo Leal"
+EMAIL="diogo@diogoleal.com"
+APPROVED="Niels Horn"
diff --git a/libraries/ETL/README b/libraries/ETL/README
new file mode 100644
index 0000000000..dc8c395c11
--- /dev/null
+++ b/libraries/ETL/README
@@ -0,0 +1,5 @@
+ETL -- Extended Template Library
+
+ETL is a multi-platform class and template library designed to add
+new datatypes and functions which combine well with the existing
+types and functions from the C++ Standard Template Library (STL)
diff --git a/libraries/ETL/slack-desc b/libraries/ETL/slack-desc
new file mode 100644
index 0000000000..6dc34db71e
--- /dev/null
+++ b/libraries/ETL/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ETL: ETL (Extended Template Library)
+ETL:
+ETL: ETL is a multi-platform class and template library designed
+ETL: to add new datatypes and functions which combine well with the
+ETL: existing types and functions from the C++ Standard Template
+ETL: Library (STL)
+ETL:
+ETL: http://synfig.org/
+ETL:
+ETL:
+ETL: